<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.xhtml"><span>Namespace&#160;List</span></a></li>
      <li class="current"><a href="namespacemembers.xhtml"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="namespacemembers.xhtml"><span>All</span></a></li>
      <li class="current"><a href="namespacemembers_func.xhtml"><span>Functions</span></a></li>
      <li><a href="namespacemembers_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="namespacemembers_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="namespacemembers_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_g"><span>g</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_u"><span>u</span></a></li>
      <li class="current"><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacemembers_func.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>adjust_down()
: <a class="el" href="namespacearm__compute.xhtml#a41c1523098580451b378f76b8c37a0f0">arm_compute</a>
</li>
<li>adjust_up()
: <a class="el" href="namespacearm__compute.xhtml#ab16fcfbfc3ee6dbc0c112f0bc9b3d9c2">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_b"></a>- b -</h3><ul>
<li>build_information()
: <a class="el" href="namespacearm__compute.xhtml#a64c17a5a42d2499a1626222ff9753b4d">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>calculate_matrix_scale()
: <a class="el" href="namespacearm__compute.xhtml#a0101a40c4a6acc2af3b55afa7632f16a">arm_compute</a>
</li>
<li>calculate_max_window()
: <a class="el" href="namespacearm__compute.xhtml#aa8063930734453501dbe41f60c5a89d9">arm_compute</a>
</li>
<li>calculate_max_window_horizontal()
: <a class="el" href="namespacearm__compute.xhtml#a0451630695335182319ee53d785d0715">arm_compute</a>
</li>
<li>ceil_to_multiple()
: <a class="el" href="namespacearm__compute.xhtml#adf0c6059174045f80af46a0f1fb57bc6">arm_compute</a>
</li>
<li>colorconvert_iyuv_to_nv12()
: <a class="el" href="namespacearm__compute.xhtml#af2be1325decaa34a8a1199af177148c6">arm_compute</a>
</li>
<li>colorconvert_iyuv_to_rgb()
: <a class="el" href="namespacearm__compute.xhtml#a6e42fac1baa264b033ac430b63ebd145">arm_compute</a>
</li>
<li>colorconvert_iyuv_to_yuv4()
: <a class="el" href="namespacearm__compute.xhtml#a08e9d88293a5cef787bb324c2dc0a6bf">arm_compute</a>
</li>
<li>colorconvert_nv12_to_iyuv()
: <a class="el" href="namespacearm__compute.xhtml#a199d36780fbb4a70168f290480673650">arm_compute</a>
</li>
<li>colorconvert_nv12_to_rgb()
: <a class="el" href="namespacearm__compute.xhtml#ae6a44e412bccc0705a720708b0692218">arm_compute</a>
</li>
<li>colorconvert_nv12_to_yuv4()
: <a class="el" href="namespacearm__compute.xhtml#a587a54c85dcc72838b8f4b5575ebafe4">arm_compute</a>
</li>
<li>colorconvert_rgb_to_iyuv()
: <a class="el" href="namespacearm__compute.xhtml#a49b7a8e217ba7aad821fdeaab86bad53">arm_compute</a>
</li>
<li>colorconvert_rgb_to_nv12()
: <a class="el" href="namespacearm__compute.xhtml#a14fd899b732509e245976b9967b8931d">arm_compute</a>
</li>
<li>colorconvert_rgb_to_rgbx()
: <a class="el" href="namespacearm__compute.xhtml#a93cc303c8ae098d264f07d37890412de">arm_compute</a>
</li>
<li>colorconvert_rgb_to_yuv4()
: <a class="el" href="namespacearm__compute.xhtml#ad304c0b0a72ed3f65c24fa69ab3cd53e">arm_compute</a>
</li>
<li>colorconvert_rgbx_to_rgb()
: <a class="el" href="namespacearm__compute.xhtml#acf7451c0d0f8a4b1cfbb60d7531a43aa">arm_compute</a>
</li>
<li>colorconvert_yuyv_to_iyuv()
: <a class="el" href="namespacearm__compute.xhtml#ae43e8f0463c0289169025c3041688d36">arm_compute</a>
</li>
<li>colorconvert_yuyv_to_nv12()
: <a class="el" href="namespacearm__compute.xhtml#a8ee13904a3f5ba84b28cb53d956021d7">arm_compute</a>
</li>
<li>colorconvert_yuyv_to_rgb()
: <a class="el" href="namespacearm__compute.xhtml#a3c22c0d3494660b72b4fc04fec76f92d">arm_compute</a>
</li>
<li>compute_strides()
: <a class="el" href="namespacearm__compute.xhtml#aedfc72aa9d25b8918734bd374421ee32">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>data_size_from_type()
: <a class="el" href="namespacearm__compute.xhtml#abb7e0f23a4f2e63f39433f158dad47ab">arm_compute</a>
</li>
<li>data_type_for_convolution()
: <a class="el" href="namespacearm__compute.xhtml#a01adc12d8e07c06cdb0f03c56a455bf3">arm_compute</a>
</li>
<li>data_type_for_convolution_matrix()
: <a class="el" href="namespacearm__compute.xhtml#a3992df9e8723140a53e49dc194d89ef5">arm_compute</a>
</li>
<li>data_type_from_format()
: <a class="el" href="namespacearm__compute.xhtml#a59846ef5ca75cd81cdb7e8a1ce08f9db">arm_compute</a>
</li>
<li>DIV_CEIL()
: <a class="el" href="namespacearm__compute.xhtml#a12705a88669cb9fb90451ebe0db53c41">arm_compute</a>
</li>
<li>draw_detection_rectangle()
: <a class="el" href="namespacetest__helpers.xhtml#a35367e474c33789a32cab099884301e0">test_helpers</a>
</li>
</ul>


<h3><a class="anchor" id="index_e"></a>- e -</h3><ul>
<li>element_size_from_data_type()
: <a class="el" href="namespacearm__compute.xhtml#a34b06c0cd94808a77b697e79880b84b0">arm_compute</a>
</li>
<li>enqueue()
: <a class="el" href="namespacearm__compute.xhtml#a22af22ebac966b76e8553127064201a2">arm_compute</a>
</li>
<li>error()
: <a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">arm_compute</a>
</li>
<li>error_on_channel_not_in()
: <a class="el" href="namespacearm__compute.xhtml#a593d972357b3bcfeecb87207dc925417">arm_compute</a>
</li>
<li>error_on_channel_not_in_known_format()
: <a class="el" href="namespacearm__compute.xhtml#ad0d001a84424d440f9a11fc1b80ed2ff">arm_compute</a>
</li>
<li>error_on_coordinates_dimensions_gte()
: <a class="el" href="namespacearm__compute.xhtml#a130822528598f21a48f7ee0e6d8438a0">arm_compute</a>
</li>
<li>error_on_data_type_channel_not_in()
: <a class="el" href="namespacearm__compute.xhtml#a690ce072b4480f4a5bad433f23c9fe05">arm_compute</a>
</li>
<li>error_on_data_type_not_in()
: <a class="el" href="namespacearm__compute.xhtml#a0c52339d3cb372d145deeafb5a313807">arm_compute</a>
</li>
<li>error_on_format_not_in()
: <a class="el" href="namespacearm__compute.xhtml#a0b360558b516e256f0af005a164c674e">arm_compute</a>
</li>
<li>error_on_invalid_multi_hog()
: <a class="el" href="namespacearm__compute.xhtml#a307666ca482a84d5a64251d78889a818">arm_compute</a>
</li>
<li>error_on_invalid_subwindow()
: <a class="el" href="namespacearm__compute.xhtml#a0916477887763c20822b43be144963eb">arm_compute</a>
</li>
<li>error_on_mismatching_data_types()
: <a class="el" href="namespacearm__compute.xhtml#ad35d92af32949e38ec38b3d8e46b566c">arm_compute</a>
</li>
<li>error_on_mismatching_shapes()
: <a class="el" href="namespacearm__compute.xhtml#a7b689868b627ba9e22c8473c5f985512">arm_compute</a>
</li>
<li>error_on_mismatching_windows()
: <a class="el" href="namespacearm__compute.xhtml#a26a9847c05c48bd1470f22f898ee254d">arm_compute</a>
</li>
<li>error_on_tensor_not_2d()
: <a class="el" href="namespacearm__compute.xhtml#a65c8e0610dff27ecf1ef30214f08d19e">arm_compute</a>
</li>
<li>error_on_unconfigured_kernel()
: <a class="el" href="namespacearm__compute.xhtml#a21a4884cd1dbfa83351b8efa265f526a">arm_compute</a>
</li>
<li>error_on_window_dimensions_gte()
: <a class="el" href="namespacearm__compute.xhtml#a6fed5543ae383442a51362e6607c4e65">arm_compute</a>
</li>
<li>execute_window_loop()
: <a class="el" href="namespacearm__compute.xhtml#a78fd1c0056e9add7ab01b8e118c0038d">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_f"></a>- f -</h3><ul>
<li>floor_to_multiple()
: <a class="el" href="namespacearm__compute.xhtml#a6959e681668a37a9242d2aae4e8b4375">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>get_cl_type_from_data_type()
: <a class="el" href="namespacearm__compute.xhtml#ab04905b0c6c0e4091160561eae870101">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_h"></a>- h -</h3><ul>
<li>have_different_shapes()
: <a class="el" href="namespacearm__compute.xhtml#a98c979818eae59f104fcaf8de723aeda">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>intersect_valid_regions()
: <a class="el" href="namespacearm__compute.xhtml#a3bb1b3d01f14dbc0beb1e826eefeddc6">arm_compute</a>
</li>
<li>is_data_type_float()
: <a class="el" href="namespacearm__compute.xhtml#af5982a092e9eb743fce2d6392bdd8897">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>lower_string()
: <a class="el" href="namespacearm__compute.xhtml#ab72adf11888176ec19224deef7b1a7dc">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>max_consecutive_elements_display_width()
: <a class="el" href="namespacearm__compute.xhtml#ac3f2de3a35ff8d9a47b5b793637784e7">arm_compute</a>
</li>
<li>max_consecutive_elements_display_width_impl()
: <a class="el" href="namespacearm__compute.xhtml#aaecee617b967dd96f27d2f36732fb68e">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>num_channels_from_format()
: <a class="el" href="namespacearm__compute.xhtml#ab14153fb809c18823af3c9c8bc4286cb">arm_compute</a>
</li>
<li>num_planes_from_format()
: <a class="el" href="namespacearm__compute.xhtml#a2a71659def659c8b1c164023a99a25a9">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>parse_ppm_header()
: <a class="el" href="namespacetest__helpers.xhtml#a3aa8f5f1b94f88fdf5b43a53e29379cf">test_helpers</a>
</li>
<li>pixel_size_from_format()
: <a class="el" href="namespacearm__compute.xhtml#a4823543d67a2520c98669e2a5608ef6a">arm_compute</a>
</li>
<li>plane_idx_from_channel()
: <a class="el" href="namespacearm__compute.xhtml#a4f6fe18760340bcec02d095b7099e923">arm_compute</a>
</li>
<li>print_consecutive_elements()
: <a class="el" href="namespacearm__compute.xhtml#a51a0d2ae440bc8cab3fbbe84bfea8b1d">arm_compute</a>
</li>
<li>print_consecutive_elements_impl()
: <a class="el" href="namespacearm__compute.xhtml#aa3a28b8acd21301990e06377c64e1276">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>read_file()
: <a class="el" href="namespacearm__compute.xhtml#aefa4a4d3136d77b85cccfce344f9f37f">arm_compute</a>
</li>
<li>run_example()
: <a class="el" href="namespacetest__helpers.xhtml#a4c9395db2c8b8d0c336656a7b58fca3e">test_helpers</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>save_to_ppm()
: <a class="el" href="namespacetest__helpers.xhtml#a5036a1b77bd7223a68954b5078c6545a">test_helpers</a>
</li>
<li>scaled_dimensions()
: <a class="el" href="namespacearm__compute.xhtml#a6fd2c972d67298469a6aad75879fffab">arm_compute</a>
</li>
<li>separate_matrix()
: <a class="el" href="namespacearm__compute.xhtml#a18ec57dffc5c26864be77318111dfb2a">arm_compute</a>
</li>
<li>string_from_activation_func()
: <a class="el" href="namespacearm__compute.xhtml#ac955c978e18cc9bf6daea31f13076fba">arm_compute</a>
</li>
<li>string_from_border_mode()
: <a class="el" href="namespacearm__compute.xhtml#abd15add5c6c7de5c8205ce236875aadd">arm_compute</a>
</li>
<li>string_from_channel()
: <a class="el" href="namespacearm__compute.xhtml#a106c203dd6af234d38452ea0ee7b2ddc">arm_compute</a>
</li>
<li>string_from_data_type()
: <a class="el" href="namespacearm__compute.xhtml#aefa1d9648995e5eccc693c690e27aa88">arm_compute</a>
</li>
<li>string_from_format()
: <a class="el" href="namespacearm__compute.xhtml#a9c92c867fc64454545668d87b20979eb">arm_compute</a>
</li>
<li>string_from_interpolation_policy()
: <a class="el" href="namespacearm__compute.xhtml#ade34f5e72f050fd3665f3294dfb15850">arm_compute</a>
</li>
<li>string_from_matrix_pattern()
: <a class="el" href="namespacearm__compute.xhtml#a018795ab2489d17309e158ff5c060ab1">arm_compute</a>
</li>
<li>string_from_non_linear_filter_function()
: <a class="el" href="namespacearm__compute.xhtml#a14831547f57ecf5f0deef888ad41ad30">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_u"></a>- u -</h3><ul>
<li>update_window_and_padding()
: <a class="el" href="namespacearm__compute.xhtml#ac2a92cae51d2734a65676052adb33c22">arm_compute</a>
</li>
</ul>


<h3><a class="anchor" id="index_v"></a>- v -</h3><ul>
<li>val_to_string()
: <a class="el" href="namespacearm__compute.xhtml#ae350823b5c93227dc33f1105ece06d68">arm_compute</a>
</li>
<li>vexp_f32()
: <a class="el" href="namespacearm__compute.xhtml#ab61617950fb57bf883ee19fc4e219826">arm_compute</a>
</li>
<li>vinv_f32()
: <a class="el" href="namespacearm__compute.xhtml#a99d2837a875fc6bca19755f40205f04a">arm_compute</a>
</li>
<li>vinvsqrt_f32()
: <a class="el" href="namespacearm__compute.xhtml#aab4b53a52d617f05420711425f20ed4b">arm_compute</a>
</li>
<li>vlog_f32()
: <a class="el" href="namespacearm__compute.xhtml#afa7e6a89815b00d86c5ae6ec73d79c26">arm_compute</a>
</li>
<li>vpowq_f32()
: <a class="el" href="namespacearm__compute.xhtml#ae0dbcd09c015bda4ab290b957d7bd6c7">arm_compute</a>
</li>
<li>vtanh_f32()
: <a class="el" href="namespacearm__compute.xhtml#af2002ba27e8c8033e3038da708248f32">arm_compute</a>
</li>
<li>vtaylor_poly_f32()
: <a class="el" href="namespacearm__compute.xhtml#aa4e5c4d2084010ee1c68475fde882f84">arm_compute</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
